eu.smoser.dungeongenerator.dungeon.objects

## Class Treasure

- java.lang.Object
- - eu.smoser.dungeongenerator.dungeon.objects.ADungeonObject
  - - eu.smoser.dungeongenerator.dungeon.objects.Treasure

    public class Treasure
    extends ADungeonObject

Stores information about a treasure

### Field Summary

### Fields inherited from class eu.smoser.dungeongenerator.dungeon.objects.ADungeonObject

`descString`

### Constructor Summary

Constructors
Constructor and Description
`Treasure()` Constructs a random treasure

### Method Summary

### Methods inherited from class eu.smoser.dungeongenerator.dungeon.objects.ADungeonObject

`toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### Treasure

    public Treasure()

Constructs a random treasure